import request from '@/utils/request'


// 查询渠道树列表
export function treeChannel(data) {
  return request({
    url: '/api/v1/mp/admin/channel/tree',
    method: 'post',
    data: data
  })
}

// 查询子渠道列表
export function listChannel(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/channel/list',
    method: 'post',
    data: data,
    urlParams: urlParams
  })
}


// 查询所有渠道列表
export function listAllChannel() {
  return request({
    url: '/api/v1/mp/admin/channel/listAll',
    method: 'post'
  })
}

export function getChannelDetail(channelId) {
  return request({
    url: '/api/v1/mp/admin/channel/detail',
    method: 'post',
    data: {
      channelId
    }
  })
}


// 新增渠道
export function addChannel(data) {
  return request({
    url: '/api/v1/mp/admin/channel/create',
    method: 'post',
    data: data
  })
}

// 修改渠道
export function updateChannel(data) {
  return request({
    url: '/api/v1/mp/admin/channel/update',
    method: 'post',
    data: data
  })
}


//编辑渠道用户状态信息
export function updateChannelStatus(data) {
  return request({
    url: '/api/v1/mp/admin/channel/status',
    method: 'post',
    data: data
  })
}


